Page MenuHomePhabricator

PhabricatorProjectColumnPositionQuery::withColumns() is undefined
Closed, ResolvedPublic

Description

Hello,

Now that we have T125206 resolved, there's a new change in Phabricator that makes Sprint extension fail. This time the problem is with this changeset that removes PhabricatorProjectColumnPositionQuery::withColumns() function. When you try to open a sprint project, you get this error:

>>> UNRECOVERABLE FATAL ERROR <<<
Call to undefined method PhabricatorProjectColumnPositionQuery::withColumns()
/var/www/phabricator/libext/sprint/src/query/SprintQuery.php:307

To reproduce:

  • git pull on phacility/phabricator clone
  • git pull on wikimedia/phabricator-extensions-Sprint clone
  • go to any sprint project board or burndown

Event Timeline

Cmmata created this task.Feb 4 2016, 8:45 AM
Cmmata raised the priority of this task from to Needs Triage.
Cmmata updated the task description. (Show Details)
Cmmata added a subscriber: Cmmata.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 4 2016, 8:45 AM
Aklapper renamed this task from Sprint extension fails again because of new changes in Phabricator: PhabricatorProjectColumnPositionQuery::withColumns() to PhabricatorProjectColumnPositionQuery::withColumns() is undefined.Feb 4 2016, 10:39 AM
Aklapper set Security to None.
joshma added a subscriber: joshma.Feb 10 2016, 10:38 PM
Christopher closed this task as Resolved.Feb 18 2016, 9:36 AM